Bug 117432 - (TBb23b20f8) TB exception.py:209:__init__:ImportError: No module named gnome.ui
TB exception.py:209:__init__:ImportError: No module named gnome.ui
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-03 17:46 EST by Marc O'Morain
Modified: 2009-07-28 06:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc O'Morain 2004-03-03 17:46:28 EST
Crash when program is run
Comment 1 Marc O'Morain 2004-03-03 17:47:06 EST
Component: system-config-network
Version: 1.3.15
Summary: TBfd89e307 system-config-network-gui:136:main:ImportError: No
module named gnome
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 136, in main
    import gnome
ImportError: No module named gnome

Local variables in innermost frame:
splash_window: None
NC_functions: <module 'netconfpkg.NC_functions' from
'/usr/share/system-config-network/netconfpkg/NC_functions.pyc'>


Then when I click the save button:
----------------------------------

Component: system-config-network
Version: 1.3.15
Summary: TBb23b20f8 exception.py:209:__init__:ImportError: No module
named gnome.ui
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 269, in ?
    main()
  File "/usr/sbin/system-config-network-gui", line 179, in main
    handleException(sys.exc_info(), PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.3/site-packages/rhpl/exception.py", line 291,
in handleException
    fs = FileSelection(_("Please specify a file to save the dump"))
  File "/usr/lib/python2.3/site-packages/rhpl/exception.py", line 209,
in __init__
    import gnome.ui
ImportError: No module named gnome.ui

Local variables in innermost frame:
text: Please specify a file to save the dump
self: <rhpl.exception.FileSelection instance at 0xb7c9390c>
gtk: <module 'gtk' from
'/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.pyc'>

Comment 2 Harald Hoyer 2004-03-04 08:59:29 EST
Do you have installed gnome-python2???

$ rpm -qf /usr/lib/python2.3/site-packages/gtk-2.0/gnome/_gnome.so
gnome-python2-2.0.0-4

is any library missing?
$ ldd /usr/lib/python2.3/site-packages/gtk-2.0/gnome/_gnome.so
        libgnome-2.so.0 => /usr/lib/libgnome-2.so.0 (0x00d97000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00c71000)
        libbonobo-2.so.0 => /usr/lib/libbonobo-2.so.0 (0x00bb5000)
        libgconf-2.so.4 => /usr/lib/libgconf-2.so.4 (0x00ab8000)
        libgnomevfs-2.so.0 => /usr/lib/libgnomevfs-2.so.0 (0x007b5000)
        libbonobo-activation.so.4 =>
/usr/lib/libbonobo-activation.so.4 (0x00cff000)
        libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0x006c0000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x009b8000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x003b8000)
        libm.so.6 => /lib/tls/libm.so.6 (0x00111000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00134000)
        libdl.so.2 => /lib/libdl.so.2 (0x00ced000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00ef7000)
        libpthread.so.0 => /lib/tls/libpthread.so.0 (0x00396000)
        libc.so.6 => /lib/tls/libc.so.6 (0x0018b000)
        libesd.so.0 => /usr/lib/libesd.so.0 (0x00138000)
        libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0x00715000)
        libORBitCosNaming-2.so.0 => /usr/lib/libORBitCosNaming-2.so.0
(0x00167000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00444000)
        libssl.so.4 => /lib/libssl.so.4 (0x00833000)
        libcrypto.so.4 => /lib/libcrypto.so.4 (0x00536000)
        libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00141000)
        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x002c5000)
        libcom_err.so.2 => /lib/libcom_err.so.2 (0x0037b000)
        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x003ec000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00154000)
        libz.so.1 => /usr/lib/libz.so.1 (0x0032c000)
        librt.so.1 => /lib/tls/librt.so.1 (0x0033d000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x00174000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0x008a5000)
Comment 3 Marc O'Morain 2004-03-04 17:33:13 EST
root@gibson ~ $ rpm -qf
/usr/lib/python2.3/site-packages/gtk-2.0/gnome/_gnome.so
error: file /usr/lib/python2.3/site-packages/gtk-2.0/gnome/_gnome.so:
No such file or directory


root@gibson ~ $ yum install gnome-python2
Gathering header information file(s) from server(s)
Server: Fedora Core (development: Rawhide)
Server: Livna.org Fedora Compatible Packages (stable)
Server: Livna.org Fedora Compatible Packages (testing)
Server: Livna.org Fedora Compatible Packages (unstable)
Server: Fedora Core 1 - i386 - nyquist/depends
Finding updated packages
Downloading needed headers
gnome-python2 is installed and is the latest version.
No actions to take

I have used system-config network lots of times in the past however.
Comment 4 Harald Hoyer 2004-03-05 05:47:26 EST
Ah, you have Fedora Core 1! Not FC2 test1!
Comment 5 Harald Hoyer 2004-03-05 05:48:04 EST
What does
$ ldd /usr/lib/python2.2/site-packages/gtk-2.0/gnome/_gnome.so
output?
Comment 6 Harald Hoyer 2004-06-04 06:25:06 EDT
Closing due to inactivity. Reopen, if the problem is still existing.
Comment 7 Greg DeKoenigsberg 2004-07-12 08:02:16 EDT
*** Bug 99188 has been marked as a duplicate of this bug. ***
Comment 8 Oleg 2009-07-28 06:54:14 EDT
Component: system-config-network
Version: 1.5.10
Summary: TB21b01c66 system-config-network-gui:139:runit:ImportError: No module named gnome

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 139, in runit
    import gnome
ImportError: No module named gnome

Local variables in innermost frame:
splash_window: None
splash: 0
NC_functions: <module 'netconfpkg.NC_functions' from '/usr/share/system-config-network/netconfpkg/NC_functions.pyc'>
NCException: <class 'netconfpkg.NCException.NCException'>

Note You need to log in before you can comment on or make changes to this bug.